[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.ReadSections

Read section names

## Declaration

Source position: inifiles.pp line 185

`public procedure TIniFile.ReadSections(`
`Strings: TStrings`
`); override;`

## Arguments

`Strings` |  | Stringlist to store section names in

## Description

ReadSections is the implementation of TCustomIniFile.ReadSections. It operates on the in-memory copy of the inifile, and places all section names in Strings.

## See also

TIniFile.ReadSection |  | Read the key names in a section
TCustomIniFile.ReadSections |  | Read the list of sections
TIniFile.ReadSectionValues |  |

Documentation generated on: Feb 26 2014